import java.awt.Graphics;

public class DeceleratingBall extends Ball
{
  private Ball workerBall;
  
  public DeceleratingBall( Ball delegate )
  {
    super();
    workerBall = delegate;
  }

  public void move()
  {
    workerBall.move();
    workerBall.adjustSpeedBy( -0.01 );
  }

  public void paint( Graphics g )
  {
    workerBall.paint( g );
  }
}
